module.exports = function(grunt) {
  grunt.initConfig({
      pkg: grunt.file.readJSON("package.json"),
      eslint: {
          options: {
              configFile: "./.eslintrc.json",
              fix: true,
          },
          target: [
                  "core/*.js", 
                  "./Main.js"
          ]
      },
      uglify: {
        options: {
          mangle: {
              toplevel: true
         }
        },
          my_target: {
              files: [
                  {
                      expand: true,
                      src: [
                          "core/*.js",
                          "!core/*.min.js",
                      ],
                      dest: "dist",
                      cwd: ".",
                      rename: function(dst, src) {
                          return dst + "/" + src.replace("core/", "");
                      }
                  }
              ]
          }
      },
      watch: {
          files: ["core/*.js"],
          tasks: ["uglify"]
      }
  });

  grunt.loadNpmTasks("grunt-contrib-watch");
  grunt.loadNpmTasks("grunt-contrib-uglify-es");
  grunt.loadNpmTasks("grunt-eslint");
  grunt.registerTask("default", ["uglify", "eslint"]);
};