var core = require("./dist/Module");

class feveriq {
  /**
   *
   * Configure the token.
   *
   */
  api_key(input) {
      this.api_key = input;
  }
  /**
   *
   * Input structure for weights.
    input = {
      symptoms: {
        "Fever":                false || true,
        "Unexplained Fatigue":  false || true,
        "Dry Cough":            false || true,
        "Sneezing":             false || true,
        "Aches":                false || true,
        "Runny Nose":           false || true,
        "Sore Throat":          false || true,
        "Diarrhea":             false || true,
        "Headache":             false || true,
        "Trouble Breathing":    false || true,
        "Loss of smell":        false || true,
        "Unexplained Allergies":false || true,
        "Hallucinations":       false || true,
        "Vomiting":             false || true,
        "Blue Toes":            false || true,
        "Skipped Meals":        false || true,
        "COVID-19 in household":false || true,
        "COVID-19 test result": null || false || true,
        "COVID-19 test type":   "PCR" || "IMMUNO",
      },
      demographic: {
        "Age":    Number,
        "Bmi":    Number,
        "Gender": "Male" || "Female" || "Other",
        "TemperatureC": Float (Celsius - you are responsible for converting from Fahrenheit),
        "Travel_Self":         false || true,
        "Travel_CloseContact": false || true,
        "currentGeoLocationCode" : geocode string such as US_CA,
      },
      comorbidities: {
        "Asthma":                 false || true,
        "Cancer":                 false || true,
        "Chronic Kidney Disease": false || true,
        "COPD":                   false || true,
        "Cystic Fibrosis":        false || true,
        "Diabetes":               false || true,
        "Heart Disease":          false || true,
        "Hepatitis":              false || true,
        "High Blood Pressure":    false || true,
        "HIV":                    false || true,
        "Liver Cirrhosis":        false || true,
        "Organ Transplant":       false || true,
        "SCID":                   false || true,
        "Sickle Cell":            false || true,
      },
    } 
   * @param {arguments}  - Object.
   */
  input(input) {
      this.input = input;
  }
  /**
   * 
   * HealthCheck main function
   * 
   */
  Main() {
      if (this.api_key == undefined) {
          throw new Error("Token does not exist!");
      }
      return core.scoreModule(this.input, this.api_key);
  }
}

module.exports = new feveriq();